Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78019 - mod_ssl won't start up after unclean shutdown
Summary: mod_ssl won't start up after unclean shutdown
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: httpd
Version: 8.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-17 19:30 UTC by Chris Ricker
Modified: 2007-04-18 16:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-09-04 07:40:03 UTC


Attachments (Terms of Use)
httpd-ssl configuration file (deleted)
2002-12-11 14:54 UTC, Chris Ricker
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:240 normal SHIPPED_LIVE : Updated httpd packages fix Apache security vulnerabilities 2003-09-04 04:00:00 UTC

Description Chris Ricker 2002-11-17 19:30:01 UTC
After I installed the 2.4.18-18.8.0 kernel errata yesterday and rebooted, httpd
always died shortly after starting:

[Sat Nov 16 09:14:22 2002] [notice] Apache/2.0.40 (Red Hat Linux) configured -- 
resuming normal operations
[Sat Nov 16 09:24:57 2002] [error] Cannot allocate shared memory: (17)File exist
s

Manually stracing revealed the problem to be:

open("/var/cache/mod_ssl/ssl_gcache_data", O_WRONLY|O_CREAT|O_EXCL, 0666) = -1
EEXIST (File exists)
gettimeofday({1037557121, 414293}, NULL) = 0
write(7, "[Sun Nov 17 11:18:41 2002] [erro"..., 82) = 82
_exit(1)                                = ?

After I deleted the ssl_gcache_data file, httpd worked again.

I'm not sure what happened here -- probably a one-time quirk thing that's not
reproducible.

Comment 1 Chris Ricker 2002-12-08 23:07:29 UTC
I just had this happen again -- Apache segfaulted while running.

I eventually noticed and bounced the service (/etc/init.d/httpd restart).
Although that said it started Apache [ok], Apache was exiting shortly after the
restart

strace showed it to be the same problem (existance of this ssl cache file)

Comment 2 Joe Orton 2002-12-11 11:08:31 UTC
Are you using the default session cache settings? Can you post your
/etc/httpd/conf.d/ssl.conf?

Comment 3 Joe Orton 2002-12-11 13:09:24 UTC
I've reproduced this using the shmht session cache (including what looks like
segfault on shutdown); are you using shmht? It appears that shmht isn't actually
caching any sessions either, so I'd advise using shmcb instead, which does
appear to work correctly in my testing.

Comment 4 Chris Ricker 2002-12-11 14:53:05 UTC
I'm just using shm

I'll attach the conf in a sec

Comment 5 Chris Ricker 2002-12-11 14:54:35 UTC
Created attachment 88384 [details]
httpd-ssl configuration file

Comment 6 Joe Orton 2002-12-13 16:44:39 UTC
This should be fixed by the mm erratum:

http://rhn.redhat.com/errata/RHBA-2002-273.html


*** This bug has been marked as a duplicate of 74543 ***

Comment 7 Chris Ricker 2002-12-13 16:54:14 UTC
Um, I'm on RHL 8.0. That erratum is for 7.x only

Comment 8 Joe Orton 2002-12-13 16:57:29 UTC
Eeek, sorry. That comment was aimed for a different bug.

Comment 9 Gary Goldberg 2003-03-25 15:20:42 UTC
Also showing this problem, exactly as written.

Comment 10 Mark J. Cox 2003-09-04 07:40:03 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-240.html



Note You need to log in before you can comment on or make changes to this bug.